<?php
/**
 * @file
 * popup window for isdn and anolog groups
 */
require_once('/usr/local/www/berogui/includes/Helper/Helper.php');

$load_popup = 1;
$invalid = array();

/* [CHECKING GET REQUEST] */
$list_get = array(	'start' => 'start',
			'id'	=> 'id'	  );

$_GET = Helper::sanitizeGet($_GET, $list_get, $load_popup, $invalid);

/* [CHECKING POST REQUEST] */
unset($_POST);

/* [LOADING POPUP] */
if (!$load_popup) {
        echo "<script>window.location='../../index.php?m=Dos&error=1&request={$invalid['request']}&checkor={$invalid['checkor']}&key={$invalid['key']}'</script>";
	exit(1);
}

chdir("../..");

include "./includes/variables.php";
include "./misc/database.php";
include("./misc/config_parameter.php");
$ba = new beroAri();
require_once ('./includes/lang.php');
require_once "./includes/isgwtelnet.php";
require_once('/usr/local/www/berogui/includes/session.php');



$start 	= $_GET['start'];
$id 	= sqlite_escape_string($_GET['id']);

?>

<script type="text/javascript">
	$("#dosl").validate({
		rules: {
			address: { 
				checkHostname : true, 
				required: true
			},
			manual_dest_port: {
				required: {
					depends: function (element) {
						return $("#dest_port option:selected").val() == "manual";
					}
				},
				digits: true,
				range: [1, 65535],
			},
			netmask: {
				digits: true,
				range: [0,32],
			},
		}
	});

        $("#dest_port").change(function () {
            required();
        });

        function required() {
            if ($("#dest_port option:selected").val() == "manual") {
                addAsterisk("manual_dest_port");
            } else {
                deleteAsterisk("manual_dest_port");
            }
        }

        function hide_elements() {
            if ($('#dest_port').val() === "manual")
                $('#manual_dest_port').show();
            else
                $('#manual_dest_port').hide();
        }
	
	$( document ).ready(function() {
		hide_elements();
		required();
	});

</script>
<?php

function dos_rule($id){
    $address= getValue ($id, "address");
    $netmask= getValue ($id, "netmask");
    $result="<div class='col-sm-7' style='padding-left:0px'><input type='text' name='address' value='$address' size='15' class='form-control input-sm' /></div>"
	    . "<div class='col-sm-1'>/</div>"
	    . "<div class='col-sm-4'><input type='text' name='netmask' class='form-control input-sm' value='$netmask'size='2' /></div>";
    return $result;
}

function getValue($id,$colname){
    $ba=new beroAri();
    $query=$ba->select("select $colname from whitelist where id='$id'");
    return sqlite_fetch_single($query);
}

?>
<form class='form-horizontal' name='dosl' id='dosl' action='modules/Dos/dos_submit.php' method='POST'>
        <input type=hidden name='start' value='<? echo $start; ?>'>

	<div class='form-group'>
	    <label for='address' class='col-sm-4 control-label'><? echo DOS_DOS_RULE_DIS; ?></label>
	    <div class='col-sm-6'>
		<? echo dos_rule($id); ?>
	    </div>
	</div>
	<div class='text-center'><i><? echo REQUIRED_FIELDS; ?></i></div>
	<br/>
	<input type='hidden' name='id_upd' value='<? echo $id; ?>'>
	<div class='text-center'>
		<button type='submit' class='btn btn-default'><? echo BUTTON_SAVE; ?></button>
	</div>
</form>
